🏠 Vastu API and ✋ Palmistry API are now live. Ship them in your app today.

Vehicle Purchase Muhurta

The vehicle_purchase API helps find suitable Muhurta for buying a new vehicle. It checks the relevant Panchang and astrological factors to suggest auspicious dates and timings for the purchase. The API response includes recommended Muhurta along with the date, time, and other details useful for planning the vehicle purchase.

POSThttps://json.astrologyapi.com/v1/monthly_muhurta/vehicle_purchase

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

monthintrequired

Month for which Muhurta timings are requested, eg: 9

yearintrequired

Year for which Muhurta timings are requested, eg: 2026

latfloatrequired

Latitude, eg: 19.132234

lonfloatrequired

Longitude, eg: 72.13245

tzonefloatrequired

Timezone, eg: 5.5

Provide month, year, latitude, longitude, and timezone to receive monthly auspicious timings.
curl --location 'https://json.astrologyapi.com/v1/monthly_muhurta/vehicle_purchase' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "month": 9,
    "year": 2026,
    "lat": 19.132234,
    "lon": 72.13245,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "muhuruta_available": 10,
  "muhurtas": [
    {
      "date": "19-06-2026",
      "score": 90,
      "start_time": "10:06",
      "end_time": "14:53",
      "is_ending_next_day": false,
      "is_late_night": false
    },
    {
      "date": "22-06-2026",
      "score": 90,
      "start_time": "10:30",
      "end_time": "06:04",
      "is_ending_next_day": true,
      "is_late_night": false
    },
    {
      "date": "28-06-2026",
      "score": 90,
      "start_time": "01:08",
      "end_time": "03:06",
      "is_ending_next_day": false,
      "is_late_night": true
    }
  ]
}